StopVmInstance
StopVmInstance
PUT
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
StopVmInstanceSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
typeStringOptional. The method to stop (shut down) the VM instance. Options: grace: graceful shutdown. To use this method, make sure that the corresponding ACPI driver is installed in the VM instance. cold: cold shutdown, which means to power off the VM instance directly.
stopHAStringOptional. Completely stops the HA VM instance.
systemTagsListOptional. The system tags.
userTagsListOptional. The system tags.
